Name:           transmission-remote-gtk
Version:        1.1.1
Release:        2%{?dist}
Summary:        GTK remote control for the Transmission BitTorrent client

License:        GPLv2+
URL:            http://code.google.com/p/%{name}
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  gettext
BuildRequires:  json-glib-devel
BuildRequires:  intltool
BuildRequires:  gtk3-devel
BuildRequires:  libproxy-devel
BuildRequires:  glib2-devel
BuildRequires:  unique-devel
BuildRequires:  libcurl-devel
BuildRequires:  libnotify-devel

Requires:       GeoIP

Requires(post):  info
Requires(preun): info

%description
transmission-remote-gtk is a GTK client for remote management of
the Transmission BitTorrent client, using its HTTP RPC protocol.

%prep
%setup -q
sed -i "s|\r||g" README
sed -i "s|\r||g" COPYING
sed -i "s|\r||g" AUTHORS

%build
%configure --without-libgeoip
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*
%{_datadir}/man/man1/*.gz
%doc README COPYING AUTHORS


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.1.1-1
- New Release

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 17 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.1-1
- New Release

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 2 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.0.2-1
- New Release

* Wed Feb 8 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 1.0.1-1
- New Release

* Thu Nov 20 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.7-3
- Minor changes according to review

* Thu Oct 27 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.7-2
- Added icon cache

* Tue Oct 18 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.7-1
- Initial version of the package
